Search found 262 matches

Go to advanced search

by JMG
Wed Mar 08, 2017 8:51 am
Forum: Foro en Español
Topic: Licencia libre tipo GPL para un proyecto
Replies: 4
Views: 209

Re: Licencia libre tipo GPL para un proyecto

Hola. Hay un hecho fundamental en todo lo que tiene que ver con derechos de autor, propiedad intelectual, patentes, etc: es imposible evitar el abuso. Asumido esto, la licencia CC BY SA (más adecuada para diseños artisticos que las de código) cubre la autoría y obliga a distribuir el trabajo modific...
by JMG
Wed Mar 01, 2017 9:25 am
Forum: Foro en Español
Topic: Duda con edición de un Sketch - Arista vinculada con geometría externa
Replies: 3
Views: 199

Re: Duda con edición de un Sketch - Arista vinculada con geometría externa

Hola! El problema es que al editar un sketch con el que ya se ha realizado una operación que resulta en un nuevo sólido, la geometría externa a la que quieres enlazar está producida por el mismo sketch que la genera. Para poder enlazar a la geometría anterior basta con ocultar la última geometría ge...
by JMG
Wed Mar 01, 2017 9:09 am
Forum: Help on using FreeCAD
Topic: What determines what can be edited/displayed in realtime?
Replies: 1
Views: 124

Re: What determines what can be edited/displayed in realtime?

Hi! The answer to this is related to the way in which FreeCAD objects are generated, here is were you want to go to know more about this: https://www.freecadweb.org/wiki/Scripted_objects As a summary, FreeCAD objects have two ways of updating their geometry/behavior/whatever when one property is alt...
by JMG
Fri Feb 24, 2017 5:37 pm
Forum: Users Showcase
Topic: NiCr: CNC Hot Wire Cutter
Replies: 35
Views: 9269

Re: NiCr: CNC Hot Wire Cutter

Nice!!

I also have plans to finish the NiCr project this year :)
I'll check your comand interpretor.


Javier.
by JMG
Sat Feb 18, 2017 9:06 pm
Forum: Users Showcase
Topic: Voxel Workbench
Replies: 33
Views: 3784

Re: Voxel Workbench

Really nice! :)
by JMG
Sat Feb 18, 2017 7:19 pm
Forum: Users Showcase
Topic: Voxel Workbench
Replies: 33
Views: 3784

Re: Voxel Workbench

Hi microelly, if I understood correctly, you need the center points of each cube and the relation between them. This script will do the first thing, center_points_list contains (x,y,z) center values for each cube in the screen: center_points_list = [] bcube = FreeCAD.ActiveDocument.BaseCube for geom...
by JMG
Sat Feb 18, 2017 4:18 pm
Forum: Users Showcase
Topic: Voxel Workbench
Replies: 33
Views: 3784

Re: Voxel Workbench

I have updated the workbench and now is possible to convert from voxels to a normal FreeCAD object:

Video: https://www.youtube.com/watch?v=DQ7plBOnOyg

Github: https://github.com/JMG1/VoxelWorkbench/ ... /README.md


Javier.
by JMG
Thu Jan 26, 2017 2:46 pm
Forum: Python scripting and macros
Topic: Pivy: getSelection method??
Replies: 3
Views: 205

Re: Pivy: getSelection method??

Thanks!!

I'll try this weekend, specially the pure inventor code :)
by JMG
Tue Jan 24, 2017 4:41 pm
Forum: Python scripting and macros
Topic: Pivy: getSelection method??
Replies: 3
Views: 205

Pivy: getSelection method??

Hi, I'm playing around with voxels (https://github.com/JMG1/VoxelWorkbench), and there are a lot of them, making it laggy. Currently, this workbench uses the Part.makeCube to create each voxel geometry, that is included inside a list that creates a shape with Part.makeCompound( list ) function. I've...
by JMG
Mon Jan 23, 2017 6:39 pm
Forum: Users Showcase
Topic: Voxel Workbench
Replies: 33
Views: 3784

Re: Voxel Workbench

I've been playing with coin3d and I have managed to set up a simple "voxelizer" algorithm: https://4.bp.blogspot.com/--awCGXAYnt4/WIZNVk6sxEI/AAAAAAAAC8I/BNbBKqPlJDsjW-ZqS0p5CqKxnHv3KNuIgCLcB/s640/Captura%2Bde%2Bpantalla%2Bde%2B2017-01-22%2B20-38-17.png Now I have to work in the selection ...

Go to advanced search